using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Infragistics.UltraChart.Resources.Appearance;

namespace TestNetAdvantage
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            CreateSeries();
            Populate();
        }

        private void CreateSeries()
        {
            ((System.ComponentModel.ISupportInitialize)(this.ultraChart1)).BeginInit();

            for (int i = 0; i < 10; ++i)
            {
                NumericSeries numericSeries = new NumericSeries();
                numericSeries.Key = string.Format("Series{0}", i);
                ultraChart1.CompositeChart.Series.Add(numericSeries);
                //ultraChart1.ColorModel.AlphaLevel = 255;
                
            }

            ((System.ComponentModel.ISupportInitialize)(this.ultraChart1)).EndInit();
        }

        private void Populate()
        {
            const int NUMBER_OF_POINTS = 15;
            for (int series = 0; series < ultraChart1.CompositeChart.Series.Count; ++series)
            {
                for (int point = 0; point < NUMBER_OF_POINTS; ++point)
                {
                    double value = (point - 8) * (point - 8) + (series - 5) * (series - 5);
                    NumericSeries numSeries = ultraChart1.CompositeChart.Series[series] as NumericSeries;
                    NumericDataPoint pointData = new NumericDataPoint();
                    pointData.Value = value;
                    numSeries.Points.Add(pointData);
                    numSeries.Visible = true;
                }
            }

            ultraChart1.DataBind();
            ultraChart1.Refresh();
        }
    }
}
